> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelcatalogplans 1

> Requires catalog.read. The plan with its localisations and priced versions.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/catalog/plans/{planID}
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/catalog/plans/{planID}:
    get:
      tags:
        - panel
      description: >-
        Requires catalog.read. The plan with its localisations and priced
        versions.
      operationId: getPanelPlan
      parameters:
        - $ref: '#/components/parameters/PlanID'
      responses:
        '200':
          description: Plan detail
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelPlanDetail'
        '403':
          $ref: '#/components/responses/Problem'
        '404':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    PlanID:
      in: path
      name: planID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    PanelPlanDetail:
      type: object
      required:
        - plan
        - localizations
        - versions
      properties:
        plan:
          $ref: '#/components/schemas/PanelPlanSummary'
        localizations:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PanelLocalization'
        versions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelPlanVersionSummary'
    PanelPlanSummary:
      type: object
      required:
        - id
        - code
        - kind
        - visible
        - sortOrder
        - latestVersion
        - orderLineCount
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        code:
          type: string
        kind:
          type: string
          enum:
            - trial
            - one_time
            - recurring
            - free
            - manual
        visible:
          type: boolean
        sortOrder:
          type: integer
        maxConcurrentPerCustomer:
          type: integer
        latestVersion:
          type: integer
        orderLineCount:
          type: integer
          format: int64
        createdAt:
          type: string
          format: date-time
        archivedAt:
          type: string
          format: date-time
    PanelLocalization:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 120
        description:
          type: string
          maxLength: 2000
    PanelPlanVersionSummary:
      type: object
      required:
        - id
        - version
        - billingPeriod
        - durationSeconds
        - squadSelection
        - upgradePolicy
        - downgradePolicy
        - cancellationPolicy
        - prices
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        version:
          type: integer
        billingPeriod:
          type: string
        durationSeconds:
          type: integer
          format: int64
        trafficAllowanceBytes:
          type: integer
          format: int64
        deviceLimit:
          type: integer
        squadIds:
          type: array
          nullable: true
          items:
            type: string
            format: uuid
        squadSelection:
          type: string
          enum:
            - automatic
            - optional
            - required
        minSelectableSquads:
          type: integer
        maxSelectableSquads:
          type: integer
        upgradePolicy:
          type: string
        downgradePolicy:
          type: string
        cancellationPolicy:
          type: string
        gracePeriodSeconds:
          type: integer
          format: int64
        trialEligibility:
          type: string
        recurringCapable:
          type: boolean
        prices:
          type: object
          additionalProperties:
            type: integer
            format: int64
        createdAt:
          type: string
          format: date-time
        retiredAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.